"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Shell = require("shelljs");
const fs = require("fs");
const path = require("path");
const Handlebars = require("handlebars");
class Utils {
    static CreateFolder(folderName) {
        Shell.mkdir(folderName);
    }
    static CopyTemplate(folderName, templateName) {
        Shell.cp('-R', path.join(__dirname, `../templates/${templateName}/*`), folderName);
    }
    static MoveFile(folderName, source, destination) {
        const baseProjectPath = Shell.pwd().toString() + `/${folderName}`;
        Shell.mv('-f', `${baseProjectPath}/${source}`, `${baseProjectPath}/${destination}`);
    }
    static ExecNpmCommand(folderName, command) {
        Shell.cd(folderName);
        Shell.exec(`npm ${command}`);
    }
    static CompileTemplate(compilerDirectives) {
        compilerDirectives.map(compilerDirective => {
            const { sourceFile, compiledFile, compilerData, filePath } = compilerDirective;
            const source = fs.readFileSync(Shell.pwd().toString() + `/${filePath}/${sourceFile}`, 'utf-8');
            const template = Handlebars.compile(source);
            const result = template(compilerData);
            fs.writeFileSync(Shell.pwd().toString() + `/${filePath}/${compiledFile}`, result);
            Shell.rm(Shell.pwd().toString() + `/${filePath}/${sourceFile}`);
        });
    }
}
exports.Utils = Utils;
