"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
class Component extends command_1.Command {
    async run() {
        const { args } = this.parse(Component);
        const componentName = args.componentName;
        if (componentName) {
            console.log(`${componentName} Coming Soon`);
        }
        else {
            await Component.run(['--help']);
        }
    }
}
exports.default = Component;
Component.description = 'create an empty component';
Component.examples = [
    `$ reactscript-cli component testComponent`,
];
Component.flags = {
    help: command_1.flags.help({ char: 'h' }),
    type: command_1.flags.string({ char: 't' })
};
Component.args = [
    {
        name: 'componentName'
    }
];
